// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		3A54A77C1D8103C90099C671 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3A54A77B1D8103C90099C671 /* AppDelegate.swift */; };
		3A54A77E1D8103C90099C671 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3A54A77D1D8103C90099C671 /* ViewController.swift */; };
		3A54A7811D8103C90099C671 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 3A54A77F1D8103C90099C671 /* Main.storyboard */; };
		3A54A7831D8103C90099C671 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 3A54A7821D8103C90099C671 /* Assets.xcassets */; };
		3A54A7861D8103C90099C671 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 3A54A7841D8103C90099C671 /* LaunchScreen.storyboard */; };
		3A54A79C1D8108AA0099C671 /* ToDoItemTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3A54A79B1D8108AA0099C671 /* ToDoItemTests.swift */; };
		3A54A79E1D810A9C0099C671 /* TodoItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3A54A79D1D810A9C0099C671 /* TodoItem.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		3A54A78D1D8103C90099C671 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 3A54A7701D8103C80099C671 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 3A54A7771D8103C80099C671;
			remoteInfo = todo;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		3A54A7781D8103C80099C671 /* todo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = todo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		3A54A77B1D8103C90099C671 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		3A54A77D1D8103C90099C671 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		3A54A7801D8103C90099C671 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		3A54A7821D8103C90099C671 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		3A54A7851D8103C90099C671 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		3A54A7871D8103C90099C671 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		3A54A78C1D8103C90099C671 /* todoTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = todoTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		3A54A7921D8103C90099C671 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		3A54A79B1D8108AA0099C671 /* ToDoItemTests.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = ToDoItemTests.swift; path = Model/ToDoItemTests.swift; sourceTree = "<group>"; };
		3A54A79D1D810A9C0099C671 /* TodoItem.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = TodoItem.swift; path = Model/TodoItem.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		3A54A7751D8103C80099C671 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		3A54A7891D8103C90099C671 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		3A54A76F1D8103C80099C671 = {
			isa = PBXGroup;
			children = (
				3A54A77A1D8103C90099C671 /* todo */,
				3A54A78F1D8103C90099C671 /* todoTests */,
				3A54A7791D8103C80099C671 /* Products */,
			);
			sourceTree = "<group>";
		};
		3A54A7791D8103C80099C671 /* Products */ = {
			isa = PBXGroup;
			children = (
				3A54A7781D8103C80099C671 /* todo.app */,
				3A54A78C1D8103C90099C671 /* todoTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		3A54A77A1D8103C90099C671 /* todo */ = {
			isa = PBXGroup;
			children = (
				3A54A77B1D8103C90099C671 /* AppDelegate.swift */,
				3A54A77D1D8103C90099C671 /* ViewController.swift */,
				3A54A77F1D8103C90099C671 /* Main.storyboard */,
				3A54A7821D8103C90099C671 /* Assets.xcassets */,
				3A54A7841D8103C90099C671 /* LaunchScreen.storyboard */,
				3A54A7871D8103C90099C671 /* Info.plist */,
				3A54A79D1D810A9C0099C671 /* TodoItem.swift */,
			);
			path = todo;
			sourceTree = "<group>";
		};
		3A54A78F1D8103C90099C671 /* todoTests */ = {
			isa = PBXGroup;
			children = (
				3A54A7921D8103C90099C671 /* Info.plist */,
				3A54A79B1D8108AA0099C671 /* ToDoItemTests.swift */,
			);
			path = todoTests;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		3A54A7771D8103C80099C671 /* todo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 3A54A7951D8103C90099C671 /* Build configuration list for PBXNativeTarget "todo" */;
			buildPhases = (
				3A54A7741D8103C80099C671 /* Sources */,
				3A54A7751D8103C80099C671 /* Frameworks */,
				3A54A7761D8103C80099C671 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = todo;
			productName = todo;
			productReference = 3A54A7781D8103C80099C671 /* todo.app */;
			productType = "com.apple.product-type.application";
		};
		3A54A78B1D8103C90099C671 /* todoTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 3A54A7981D8103C90099C671 /* Build configuration list for PBXNativeTarget "todoTests" */;
			buildPhases = (
				3A54A7881D8103C90099C671 /* Sources */,
				3A54A7891D8103C90099C671 /* Frameworks */,
				3A54A78A1D8103C90099C671 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				3A54A78E1D8103C90099C671 /* PBXTargetDependency */,
			);
			name = todoTests;
			productName = todoTests;
			productReference = 3A54A78C1D8103C90099C671 /* todoTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		3A54A7701D8103C80099C671 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0730;
				LastUpgradeCheck = 0730;
				ORGANIZATIONNAME = "Efthemios Prime";
				TargetAttributes = {
					3A54A7771D8103C80099C671 = {
						CreatedOnToolsVersion = 7.3.1;
					};
					3A54A78B1D8103C90099C671 = {
						CreatedOnToolsVersion = 7.3.1;
						TestTargetID = 3A54A7771D8103C80099C671;
					};
				};
			};
			buildConfigurationList = 3A54A7731D8103C80099C671 /* Build configuration list for PBXProject "todo" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 3A54A76F1D8103C80099C671;
			productRefGroup = 3A54A7791D8103C80099C671 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				3A54A7771D8103C80099C671 /* todo */,
				3A54A78B1D8103C90099C671 /* todoTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		3A54A7761D8103C80099C671 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3A54A7861D8103C90099C671 /* LaunchScreen.storyboard in Resources */,
				3A54A7831D8103C90099C671 /* Assets.xcassets in Resources */,
				3A54A7811D8103C90099C671 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		3A54A78A1D8103C90099C671 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		3A54A7741D8103C80099C671 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3A54A77E1D8103C90099C671 /* ViewController.swift in Sources */,
				3A54A79E1D810A9C0099C671 /* TodoItem.swift in Sources */,
				3A54A77C1D8103C90099C671 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		3A54A7881D8103C90099C671 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3A54A79C1D8108AA0099C671 /* ToDoItemTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		3A54A78E1D8103C90099C671 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 3A54A7771D8103C80099C671 /* todo */;
			targetProxy = 3A54A78D1D8103C90099C671 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		3A54A77F1D8103C90099C671 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				3A54A7801D8103C90099C671 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		3A54A7841D8103C90099C671 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				3A54A7851D8103C90099C671 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		3A54A7931D8103C90099C671 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 9.3;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				PRODUCT_MODULE_NAME = "$(PRODUCT_NAME:c99extidentifier)";
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		3A54A7941D8103C90099C671 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 9.3;
				MTL_ENABLE_DEBUG_INFO = NO;
				PRODUCT_MODULE_NAME = "$(PRODUCT_NAME:c99extidentifier)";
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		3A54A7961D8103C90099C671 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				INFOPLIST_FILE = todo/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = io.efthemiosprime.todo;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		3A54A7971D8103C90099C671 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				INFOPLIST_FILE = todo/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = io.efthemiosprime.todo;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
		3A54A7991D8103C90099C671 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				INFOPLIST_FILE = todoTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = io.efthemiosprime.todoTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/todo.app/todo";
			};
			name = Debug;
		};
		3A54A79A1D8103C90099C671 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				INFOPLIST_FILE = todoTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = io.efthemiosprime.todoTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/todo.app/todo";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		3A54A7731D8103C80099C671 /* Build configuration list for PBXProject "todo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3A54A7931D8103C90099C671 /* Debug */,
				3A54A7941D8103C90099C671 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		3A54A7951D8103C90099C671 /* Build configuration list for PBXNativeTarget "todo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3A54A7961D8103C90099C671 /* Debug */,
				3A54A7971D8103C90099C671 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		3A54A7981D8103C90099C671 /* Build configuration list for PBXNativeTarget "todoTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3A54A7991D8103C90099C671 /* Debug */,
				3A54A79A1D8103C90099C671 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 3A54A7701D8103C80099C671 /* Project object */;
}
